/***************************************************************************//**
 * @file
 * @brief       Handle timer channel stuff
 * @author:     npelling
 * Handle timer channels
 * @ingroup fbi_Includes
 ******************************************************************************/

#ifndef TIMERCHANNEL_H_
#define TIMERCHANNEL_H_

#include "xmacros.h"

/** @addtogroup fbi_Includes
 ** @{
 **/
 
/**
 * @name MatchChannel_Typ
 * @brief Enumeration of the match channels
 * @{
 */

typedef enum
{
  MATCHCHANNEL_MR0,
  MATCHCHANNEL_MAX
} MatchChannel_Typ;
#define MatchChannel_ToUpper_Mac(X)    MATCHCHANNEL_ ## X

/** @} */

  IsValid_Mac(MatchChannel)

/**
 * @name TimerChannel_Typ
 * @brief Enumeration of the four different hardware timer channels
 *
 * @{
 */

typedef enum
{
  TIMERCHANNEL_UARTA,
  TIMERCHANNEL_MAX
} TimerChannel_Typ;
#define TimerChannel_ToUpper_Mac(X)    TIMERCHANNEL_ ## X

/** @} */

  IsValid_Mac(TimerChannel)

/**
 * @name TimerConfig_Typ
 * @brief Enumeration to select between various timer channel configurations
 *
 * @{
 */

typedef enum
{
  TIMERCONFIG_CONTINUOUS,
  TIMERCONFIG_MAX
} TimerConfig_Typ;
#define TimerConfig_ToUpper_Mac(X)    TIMERCONFIG_ ## X

/** @} */

IsValid_Mac(TimerConfig)

/** @} */

#endif /* TIMERCHANNEL_H_ */

/* End Of File ****************************************************************/

